#include "p_apps.h"

void LoadFlags()
{
	SdramReadFlags();
	X_VAL(Sdram_pDataCache, FLAGS_PAGE3_LOADED) = 1;
	X_VAL(Sdram_pDataCache, FLAGS_PAGE3_RUN) = '3';
	p_memcpy_c2x((PXCHAR)(Sdram_pDataCache + FLAGS_PRODUCT_TAG), (PCCHAR)(Sys_cFlags+MAX_TAG_LENGTH), MAX_TAG_LENGTH);
	SdramWriteFlags();

	p_memcpy_c2x_0((PXCHAR)Sdram_pDataCache, Sys_cFlags, MAX_TAG_LENGTH);
	SdramWriteData(OPTIONS_SDRAM_POS+DESIGN_NAME_SDRAM_LO, MAX_TAG_LENGTH);
}

